<?php
session_start();

if (isset($_GET['logout'])) {
    // Unset all session variables
    $_SESSION = array();

    // Destroy the session
    session_destroy();

    // Redirect to the login page or any other desired location
    header("Location: index.php");
    exit();
}

if (!isset($_SESSION['userLoggedIn']) || $_SESSION['userLoggedIn'] !== true) {
    header("Location: index.php");
    exit();
}
?>

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="Dashboard">
    <meta name="keyword" content="Dashboard, Bootstrap, Admin, Template, Theme, Responsive, Fluid, Retina">

    <title>Road Safety AR Game CMS</title>

    <!-- Bootstrap core CSS -->
    <link href="assets/css/bootstrap.css" rel="stylesheet">
    <!--external css-->
    <link href="assets/font-awesome/css/font-awesome.css" rel="stylesheet" />
    <link rel="stylesheet" type="text/css" href="assets/lineicons/style.css">    
    
    <!-- Custom styles for this template -->
    <link href="assets/css/style.css" rel="stylesheet">
    <link href="assets/css/style-responsive.css" rel="stylesheet">

    
    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>

  <section id="container" >
      <!-- **********************************************************************************************************************************************************
      TOP BAR CONTENT & NOTIFICATIONS
      *********************************************************************************************************************************************************** -->
      <!--header start-->
      <header class="header black-bg">
              <div class="sidebar-toggle-box">
                  <div class="fa fa-bars tooltips" data-placement="right" data-original-title="Toggle Navigation"></div>
              </div>
            <!--logo start-->
            <a href="index.html" class="logo"><b>Road Safety AR Game CMS</b></a>
            <!--logo end-->

            <div class="top-menu">
            	<ul class="nav pull-right top-menu">
                    <li><a class="logout" href="?logout=1">Logout</a></li>
            	</ul>
            </div>
        </header>
      <!--header end-->
      
      <!-- **********************************************************************************************************************************************************
      MAIN SIDEBAR MENU
      *********************************************************************************************************************************************************** -->
      <!--sidebar start-->
      <aside>
          <div id="sidebar"  class="nav-collapse ">
              <!-- sidebar menu start-->
              <ul class="sidebar-menu" id="nav-accordion">
              
              	   <p class="centered"><img src="RSClogo.png" width="50"></p>
                          <li><a  href="editEasy.php">編輯問答 - 簡單 (2選1)</a></li>
                          <li><a  href="editHard.php">編輯問答 - 困難 (4選1)</a></li>
                          <li><a  href="editEgg.php">編輯問答 - 留心蛋 (3選1)</a></li>
                          <li><a  href="table.php">查看所有答題庫</a></li>

              </ul>
              <!-- sidebar menu end-->
          </div>
      </aside>
      <!--sidebar end-->
      
      <!-- **********************************************************************************************************************************************************
      MAIN CONTENT
      *********************************************************************************************************************************************************** -->
      <!--main content start-->
      <section id="main-content">
          <section class="wrapper">
          	<h3><i class="fa fa-angle-right"></i> 編輯問答 - 留心蛋</h3>
              
          	<!-- BASIC FORM ELELEMNTS -->
          	<div class="row mt">
          		<div class="col-lg-12">
                  <div class="form-panel">
                      
                      <form class="form-horizontal style-form" method="get" id="updateForm">
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">Select Question</label>
                              <div class="col-sm-10">
                                
                                <select id="questionNumber" onchange="getData()" class="btn btn-theme dropdown-toggle"  style="text-align: left; padding-left: 25px">
                                    <option value="0">------</option>
                                    <option value="1">Question 1</option>
                                    <option value="2">Question 2</option>
                                    <option value="3">Question 3</option>
                                    <option value="4">Question 4</option>
                                    <option value="5">Question 5</option>
                                    <option value="6">Question 6</option>
                                    <option value="7">Question 7</option>
                                    <option value="8">Question 8</option>
                                </select>
                                  
                                  <!-- <button type="button" onclick="getData()" class="btn btn-round btn-success" style="margin-left: 50px">Retrieve</button> -->
                              </div>
                          </div>            
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">Question</label>
                              <div class="col-sm-10">
                                  <input type="text" id="questionInput" class="form-control">
                              </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">Option A</label>
                              <div class="col-sm-10">
                                  <input type="text" id="option0Input" class="form-control">
                              </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">Option B</label>
                              <div class="col-sm-10">
                                  <input type="text" id="option1Input" class="form-control">
                              </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">Option C</label>
                              <div class="col-sm-10">
                                  <input type="text" id="option2Input" class="form-control">
                              </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label">Answer</label>
                              <div class="col-sm-10">
                        
                                <select id="answerInput" class="btn btn-theme02" style="text-align: left; padding-left: 25px">
                                    <option value="0">A</option>
                                    <option value="1">B</option>
                                    <option value="2">C</option>
                                </select>
                                
                              </div>
                          </div>
                          <div class="form-group">
                              <label class="col-sm-2 col-sm-2 control-label"></label>
                              <div class="col-sm-10">
                                  <button  type="button" onclick="updateData()"  class="btn btn-theme03"><i class="fa fa-check"></i>  更新</button>
                              </div>
                          </div>   
                      </form>
                      
                  </div>
          		</div><!-- col-lg-12-->      	
          	</div><!-- /row -->
          	
          	
		</section><! --/wrapper -->
      </section><!-- /MAIN CONTENT -->

      <!--main content end-->
      <!--footer start-->
      <footer class="site-footer">
          <div class="text-center">
              2024 - eTeam Entertainment Ltd.
          </div>
      </footer>
      <!--footer end-->
  </section>

    <!-- js placed at the end of the document so the pages load faster -->
    <script src="assets/js/jquery.js"></script>
    <script src="assets/js/jquery-1.8.3.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>
    <script class="include" type="text/javascript" src="assets/js/jquery.dcjqaccordion.2.7.js"></script>
    <script src="assets/js/jquery.scrollTo.min.js"></script>
    <script src="assets/js/jquery.nicescroll.js" type="text/javascript"></script>
    <script src="assets/js/jquery.sparkline.js"></script>


    <!--common script for all pages-->
    <script src="assets/js/common-scripts.js"></script>
    
    <script type="text/javascript" src="assets/js/gritter/js/jquery.gritter.js"></script>
    <script type="text/javascript" src="assets/js/gritter-conf.js"></script>


	<script>

    var id = document.getElementById('questionNumber').value;
      
    function getData(){
        
        id = document.getElementById('questionNumber').value;

        if (id == 0 ) return;

          fetch('getData.php?id=' + id + '&tableid=egg&nocache=' + new Date().getTime())
            .then(response => response.json())
            .then(data => {
                document.getElementById('questionInput').value = data.question;
                document.getElementById('option0Input').value = data.option0;
                document.getElementById('option1Input').value = data.option1;
                document.getElementById('option2Input').value = data.option2;
                document.getElementById('answerInput').value = data.answer;
            });
        }

    function updateData() {
        
         if (document.getElementById('questionInput').value == 0 ) return;

        const question = document.getElementById('questionInput').value.trim();
        const option0 = document.getElementById('option0Input').value.trim();
        const option1 = document.getElementById('option1Input').value.trim();
        const option2 = document.getElementById('option2Input').value.trim();
        const answer = document.getElementById('answerInput').value.trim();

        if (!question || !option0 || !option1 || !option2 || !answer) {
            alert('Please fill in all fields before updating.');
            return false;
        }

        const formData = new FormData();

        formData.append('id', id);
        formData.append('tableid', 'egg');
        formData.append('question', document.getElementById('questionInput').value);
        formData.append('option0', document.getElementById('option0Input').value);
        formData.append('option1', document.getElementById('option1Input').value);
        formData.append('option2', document.getElementById('option2Input').value);
        formData.append('answer', document.getElementById('answerInput').value);

        fetch('updateData.php', {
            method: 'POST',
            body: formData
        })
        .then(response => response.text())
        .then(data => {
            console.log(data);
            if (data.trim() === 'success') {
                getData();
                alert('Record updated successfully');
            }
        })        
        .catch(error => {
            console.error('Error:', error);
        });
    return false; // Prevent the form from actually submitting
}

      </script>
  

  </body>
</html>
