<?php
session_start();

header("Cache-Control: no-cache, no-store, must-revalidate"); // HTTP 1.1.
header("Pragma: no-cache"); // HTTP 1.0.
header("Expires: 0"); // Proxies.

if (isset($_GET['logout'])) {
    // Unset all session variables
    $_SESSION = array();

    // Destroy the session
    session_destroy();

    // Redirect to the login page or any other desired location
    header("Location: index.php");
    exit();
}

$servername = "localhost";
$username = "debian-sys-maint";
$password = "ZPtEHAe33sYOOfU4";
$dbname = "rsccms";

// Check if the form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Establish connection
    $conn = new mysqli($servername, $username, $password, $dbname);

    // Check connection
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    $usernameInput = $_POST['username'];
    $passwordInput = $_POST['password'];

    // Prepared statement to prevent SQL injection
    $selectQuery = $conn->prepare("SELECT * FROM user WHERE username=? AND password=?");
    $selectQuery->bind_param("ss", $usernameInput, $passwordInput);
    $selectQuery->execute();
    $result = $selectQuery->get_result();

    if ($result->num_rows > 0) {
        $_SESSION['userLoggedIn'] = true; // Set session variable to indicate logged-in status
        echo "success";
        exit(); // Send success response back to JavaScript
    } else {
        echo "incorrect"; // Send incorrect response back to JavaScript
    }

    $selectQuery->close();
    $conn->close();
    exit(); // Stop further execution
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="Dashboard">
    <meta name="keyword" content="Dashboard, Bootstrap, Admin, Template, Theme, Responsive, Fluid, Retina">

    <title>Road Safety CMS Login</title>

    <!-- Bootstrap core CSS -->
    <link href="assets/css/bootstrap.css" rel="stylesheet">
    <!--external css-->
    <link href="assets/font-awesome/css/font-awesome.css" rel="stylesheet" />
        
    <!-- Custom styles for this template -->
    <link href="assets/css/style.css" rel="stylesheet">
    <link href="assets/css/style-responsive.css" rel="stylesheet">
    
    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
<body>
    <div id="login-page">
        <div class="container">
            <form class="form-login">
                <h2 class="form-login-heading">Sign In</h2>
                <div class="login-wrap">
                    <input type="text" class="form-control" placeholder="User ID" autofocus id="usernameLogin">
                    <br>
                    <input type="password" class="form-control" placeholder="Password" id="passwordLogin">
                    <br><br>
                    <button class="btn btn-theme btn-block" onclick="submitLoginForm()" type="button"><i class="fa fa-lock"></i> SIGN IN</button>
                </div>
            </form>
        </div>
    </div>

    <!-- JavaScript libraries -->
    <script src="assets/js/jquery.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="assets/js/jquery.backstretch.min.js"></script>
    <script>
        $.backstretch("assets/login-bg.jpg", {speed: 500});
    </script>

    <!-- Custom JavaScript for form submission -->
    <script>
        function submitLoginForm() {
            let username = document.getElementById("usernameLogin").value;
            let password = document.getElementById("passwordLogin").value;

            if (username === "" || password === "") {
                alert("Please fill in all the fields!");
                return;
            }

            let formData = new FormData();
            formData.append('username', username);
            formData.append('password', password);

            fetch('<?php echo $_SERVER['PHP_SELF']; ?>', {
                method: 'POST',
                body: formData
            })
            .then(response => response.text())
            .then(data => {
                
                if (data.trim() === "success") {
                    window.location.href = "table.php"; // Redirect on successful login
                } else {
                    alert("Incorrect username or password!");
                }
            })
            .catch(error => console.error(error));
        }
    </script>
</body>
</html>